MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026404Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-07 10:112016-04-20 15:48
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026404: Visualization, Ray Tracing - use solid background color when gradient color is disabled
DescriptionThe ray-tracing shader should not ignore solid background settings.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vinit View1
vclear
vaxo
vsetdispmode 1
vsetcolorbg 10 10 10
vdisplay b
vfit
vraytrace 1
# bug 1 - background is black, not grayscale (the same within 6.9.0)
vsetgradientbg 255 0 0 0 0 255 1
vsetgradientbg 255 0 0 0 0 255 0
# bug 2 - background is still gradient (new in master)
TagsNo tags attached.
Test case numberbugs vis bug26404
Attached Files

- Relationships
related to 0025775closedski Community "Default Gradient Backgound" in V3d_Viewer has no effect in new created V3d_View. 
related to 0026421closedski Open CASCADE Visualization - Incorrect text rendering in raytracing mode 

-  Notes
(0042776)
git (administrator)
2015-07-07 10:18

Branch CR26404 has been created by kgv.

SHA-1: 49c14cf1f3da793204677d7bb11e922f901724d6


Detailed log of new commits:

Author: kgv
Date: Tue Jul 7 10:18:48 2015 +0300

    0026404: Visualization, Ray Tracing - use solid background color when gradient color is disabled
(0042777)
kgv (developer)
2015-07-07 10:19

Patch is ready for review in branch CR26404.
(0042778)
san (developer)
2015-07-07 10:30

Branch CR26404 reviewed without remarks, ready for testing.
(0042826)
git (administrator)
2015-07-08 14:33

Branch CR26404 has been updated by apv.

SHA-1: 8fa2535c60fe45a95b0aeff9a4828f28ef3956e3


Detailed log of new commits:

Author: apv
Date: Wed Jul 8 14:33:00 2015 +0300

    Test-case for issue 0026404

(0042828)
apv (tester)
2015-07-08 15:03

Dear BugMaster,

Branch CR26404 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 49c14cf1f3da793204677d7bb11e922f901724d6

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
    Linux: 37 (37 on master)
    Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26404 - OK
http://occt-tests/CR26404-master-occt-64/Debian70-64/bugs/vis/bug26404.html [^]
http://occt-tests/CR26404-master-occt-64/Windows-64-VC10/bugs/vis/bug26404.html [^]

Testing on Linux:
Total MEMORY difference: 95758810 / 96281916 [-0.54%]
Total CPU difference: 17343.549999999897 / 17408.709999999635 [-0.37%]

Testing on Windows:
Total MEMORY difference: 56490450 / 56641999 [-0.27%]
Total CPU difference: 16445.438218798885 / 16342.508758998927 [+0.63%]
(0043530)
git (administrator)
2015-07-27 13:39

Branch CR26404 has been deleted by kgv.

SHA-1: 8fa2535c60fe45a95b0aeff9a4828f28ef3956e3

- Related Changesets
occt: master 67c12d80
Timestamp: 2015-07-09 11:25:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026404: Visualization, Ray Tracing - use solid background color when gradient color is disabled

Test-case for issue 0026404
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
add - tests/bugs/vis/bug26404 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-07 10:11 kgv New Issue
2015-07-07 10:11 kgv Assigned To => kgv
2015-07-07 10:18 git Note Added: 0042776
2015-07-07 10:19 kgv Note Added: 0042777
2015-07-07 10:19 kgv Assigned To kgv => san
2015-07-07 10:19 kgv Severity minor => trivial
2015-07-07 10:19 kgv Status new => resolved
2015-07-07 10:20 kgv Relationship added related to 0025775
2015-07-07 10:30 san Note Added: 0042778
2015-07-07 10:30 san Assigned To san => bugmaster
2015-07-07 10:30 san Status resolved => reviewed
2015-07-07 14:14 apv Assigned To bugmaster => apv
2015-07-08 14:29 apv Test case number => bugs vis bug26404
2015-07-08 14:33 git Note Added: 0042826
2015-07-08 15:03 apv Note Added: 0042828
2015-07-08 15:03 apv Assigned To apv => bugmaster
2015-07-08 15:03 apv Status reviewed => tested
2015-07-10 11:40 bugmaster Changeset attached => occt master 67c12d80
2015-07-10 11:40 bugmaster Status tested => verified
2015-07-10 11:40 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043530
2015-08-13 14:35 kgv Relationship added related to 0026421
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker